# opendmarc_xml_parse()

[back to index]

SYNOPSIS |
    #include <dmarc.h>
    u_char ** opendmarc_xml_parse(
    	char *fname, char *err_buf, size_t err_len
    );
Parse and XML Report by reading it from a file.
DESCRIPTION |
Called When | `opendmarc_xml_parse()` Any time you have received a `DMARC` report, and have already extracted it from its zip file.
ARGUMENTS |
Argument | Description
--- | ---
fname | The full or relative path name of the file to read.
err_buf | The size of a buffer in bytes to recieve error messages.
err_len | The size of the buffer `err_buf` in bytes.
RETURN VALUES | `u_char **` -- On success, a NULL terminated array of CSV data lines. `NULL` -- Failure, with the reason in the `err_buf` buffer.
NOTES | The return value can be free'd using opendmarc_util_clearargv(). The first line of the CSV data contains column names.

Copyright (c) 2012, The Trusted Domain Project. All rights reserved.
By using this file, you agree to the terms and conditions set forth in the license.